<?php

/*
Plugin Name: DigiMember IONOS Kompatibilitätsplugin
Plugin URI: https://digimember.de
Description: Plugin für die Kompatibilität mit IONOS
Author: Digital Solutions GmbH
Version: 1.0.0
Author URI: https://digimember.de
Text Domain: meta
Domain Path: /languages
License: Commercial - goto https://digimember.de for details
Copyright 2019 Digital Solutions GmbH (email: support@digimember.de)
*/

add_action('admin_head', function () {
    global $wp_filter;
    $hookObj = $wp_filter['admin_head'];
    foreach ($hookObj->callbacks as $priority => $callbacks) {
        foreach ($hookObj->callbacks[$priority] as $key => $cb) {
            if (strpos($key, 'add_external_libraries') !== false) {
                if (!isset($cb['function'])) {
                    continue;
                }
                $function = $cb['function'];
                if (!isset($function[0])) {
                    continue;
                }
                if (!class_exists('\Ionos\Help_Center\Manager')) {
                    continue;
                }
                if (!$function[0] instanceof \Ionos\Help_Center\Manager) {
                    continue;
                }
                $hookObj->remove_filter('admin_head', $function, $priority);
            }
        }
    }
}, 0);